Fleet Create Archival Backups
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/archivalBackups/protectionPolicy/{protectionPolicyName}
Create archival backups for all protected databases in a protection policy on a Recovery Appliance. This API requires ZDLRA Management Pack to be enabled on the Recovery Appliance.
Request
Path Parameters
-
protectionPolicyName(required): string
Protection policy name.Example:
SILVER -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
Supported Media Types
- application/json
Root Schema : schema
Type:
objectProtected database's unique name
Match All
Protected database's unique name
Show Source
-
CreateArchivalBackupDetailsPolicyLevel
Request details for creating archival backups for a single protected database.
Nested Schema : CreateArchivalBackupDetailsPolicyLevel
Request details for creating archival backups for a single protected database.
Match One Schema
Show Source
-
CreateArchivalBackupsPolicyLevelRecurring
Protection policy level recurring request for archival backups creation.
-
object
CreateArchivalBackupsPolicyLevelOnetime
Protection policy level Onetime request for archival backups creation.
Nested Schema : CreateArchivalBackupsPolicyLevelRecurring
Protection policy level recurring request for archival backups creation.
Match All
Protection policy level recurring request for archival backups creation.
Protection policy level recurring request for archival backups creation.
Show Source
-
object
CreateArchivalBackupsPolicyLevelRecurringDetails
Protection policy level recurring request details for archival backups creation.
-
object
ScheduleArchivalBackups
Schedule for recurring archival backups creation. If the schedule option is not provided, the archival backup creation is considered one-time.
Nested Schema : CreateArchivalBackupsPolicyLevelOnetime
Type:
objectProtection policy level Onetime request for archival backups creation.
Show Source
-
archivalBackups(required): array
archivalBackups
Protection policy level request details for archival backups creation.
Nested Schema : CreateArchivalBackupsPolicyLevelRecurringDetails
Type:
objectProtection policy level recurring request details for archival backups creation.
Show Source
-
archivalBackups(required): array
archivalBackups
Protection policy level request details for archival backups creation.
Nested Schema : ScheduleArchivalBackups
Type:
objectSchedule for recurring archival backups creation. If the schedule option is not provided, the archival backup creation is considered one-time.
Show Source
-
schedule: object
ScheduleRAOperations
Schedule for deployment procedure or job.
Nested Schema : archivalBackups
Type:
arrayProtection policy level request details for archival backups creation.
Show Source
Nested Schema : items
Match All
Show Source
-
object
CreateArchivalBackupBasicDetails
Basic request details for create archival backups API
-
object
RestoreUsingTime
Restore using time option for create archival backups
-
allOf
RecurringArchivalBkupDetails
Create archival backup using restore time
Nested Schema : RecurringArchivalBkupDetails
Create archival backup using restore time
Match All
Create archival backup using restore time
Show Source
-
object
RecurringArchivalBkupRecoveryNamePrefix
Create archival backup using restore from time.
Nested Schema : CreateArchivalBackupBasicDetails
Type:
objectBasic request details for create archival backups API
Show Source
-
attributeSetName(required): string
Attribute set name
-
comments: string
User provided comments.
-
compressionAlgorithm: string
Allowed Values:
[ "BASIC", "LOW", "MEDIUM", "HIGH", "OFF" ]Recovery Appliance Compression Algorithm. -
encryptionAlgorithm: string
Allowed Values:
[ "AES128", "AES192", "AES256", "OFF" ]Recovery Appliance Encryption Algorithm. -
format: string
The naming format of the output archival backup pieces. Follows the same rules as the RMAN FORMAT parameter.
-
keepFor: string
Duration value used to set the keep until date for the archival backups to be created. Value is in ISO 8601 duration format. Examples - P2D (2 days), P3Y (3 years), P3W (3 weeks)Example:
P30D
Nested Schema : RestoreUsingTime
Type:
objectRestore using time option for create archival backups
Show Source
-
restoreUsing(required): string
Allowed Values:
[ "RESTORE_TIME" ]Create Archival backup using this restore time.
Nested Schema : RecurringArchivalBkupRecoveryNamePrefix
Type:
objectCreate archival backup using restore from time.
Show Source
-
recoveryPointNamePrefix: string
Recovery point name prefix to be used to name the recovery point. The prefix followed by the timestamp value will be used.Example:
QuarterlyBackup
Nested Schema : ScheduleRAOperations
Type:
objectSchedule for deployment procedure or job.
Show Source
-
daysOfTheMonth: string
Comma-separated list of days. (Required only if frequency is monthly, or yearly. Example, repeat=1d. The valid range is 1 to 30 inclusive)
-
daysOfTheWeek: string
Comma-separated list of days. (Required only if frequency is weekly. Example, repeat=1D. The valid range is 1 to 7 inclusive)
-
endTime: string
End time for the procedure executions (optional). If it is not specified, the procedure runs indefinitely. W3C Time format.Example:
2025-12-31T20:00:00UTC, 2025-12-31T20:00:00America/New_York, 2025-12-31T20:00:00Z, 2025-12-31T20:00:00+05:00 -
frequency: string
Allowed Values:
[ "INTERVAL", "WEEKLY", "MONTHLY", "YEARLY" ]Schedule Frequency Options -
gracePeriod: string
grace period in minutes (optional)
-
monthsOfTheYear: string
Comma-separated list of months. (Required only if frequency is yearly). Valid range is 1 to 12 inclusive.
-
repeat: string
Frequency with which the job must be repeated.(Required only if frequency is set to interval.)
-
startTime: string
Time when the procedure is to start executing. W3C Time format.Example:
2024-12-31T20:00:00UTC, 2024-12-31T20:00:00America/New_York, 2024-12-31T20:00:00Z, 2024-12-31T20:00:00+05:00
Nested Schema : archivalBackups
Type:
arrayProtection policy level request details for archival backups creation.
Show Source
Nested Schema : items
Match All
Show Source
-
object
CreateArchivalBackupBasicDetails
Basic request details for create archival backups API
-
object
RestoreUsingTime
Restore using time option for create archival backups
-
allOf
OneTimeArchivalBkupUsingRestoreTime
Create archival backup using restore time
Nested Schema : OneTimeArchivalBkupUsingRestoreTime
Create archival backup using restore time
Match All
Create archival backup using restore time
Create archival backup using restore time
Show Source
-
object
CreateArchivalBkupUsingRestoreTime
Create archival backup using restore from time.
-
object
ArchivalRestorePointName
Archival Restore Point name - applicable only for one time archival backups
Nested Schema : CreateArchivalBkupUsingRestoreTime
Type:
objectCreate archival backup using restore from time.
Show Source
-
restoreUntilTime: string
Restore from time to be used for creating archival backups. Format is YYYY-MM-DDTHH:mm:ssZ in UTC timezone. If restoreUsing is RESTORE_TIME but restoreUntilTime is not specified or null/empty, then the archival backup will be created using the latest backup available on the RA.Example:
2022-09-21T06:00:00.000Z
Nested Schema : ArchivalRestorePointName
Type:
objectArchival Restore Point name - applicable only for one time archival backups
Show Source
-
restorePoint: string
Restore point name to be used for naming the archival backup. If not specified, archival backups will be given a default name KEEP_BACKUP_timestamp.
Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Content-Location:
Execution details of the deployment procedure submitted.
Root Schema : ArchivalBackupsDpSubmissionDetails
Type:
objectArchival backups deployment procedure submission details
Show Source
-
executionId: string
Deployment procedure execution id
-
instanceId: string
Instance Id of the submitted deployment procedure
-
instanceName: string
Instance name of the submitted deployment procedure
-
procedureId: string
Deployment procedure submission id
-
submissionBy: string
Name of the Enterprise Manager user who submitted the deployment procedure
-
submissionName: string
Name of the submitted deployment procedure
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
409 Response
Duplicate Resource
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message